Bug 1005747 - fail to boot rhel7 guest with >126(21 ahci controller) ahci disks
fail to boot rhel7 guest with >126(21 ahci controller) ahci disks
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: seabios (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 06:31 EDT by FuXiangChun
Modified: 2014-06-18 00:31 EDT (History)
7 users (show)

See Also:
Fixed In Version: seabios-1.7.2.2-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:34:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ahci-cli (25.64 KB, text/plain)
2013-09-09 06:34 EDT, FuXiangChun
no flags Details
guest screenshot (3.49 KB, image/png)
2013-09-09 06:34 EDT, FuXiangChun
no flags Details
screen shot of verification (6.30 KB, image/png)
2013-11-06 21:32 EST, Xu Han
no flags Details
boot menu screen shot (18.72 KB, image/png)
2013-11-06 21:34 EST, Xu Han
no flags Details
command line (16.27 KB, text/plain)
2013-11-06 21:41 EST, Xu Han
no flags Details

  None (edit)
Description FuXiangChun 2013-09-09 06:31:03 EDT
Description of problem:
Boot guest with 126(21 ahci controller) ahci disks, guest works well.  Boot guest with 132 ahci disks(22 ahci controller). fail to boot guest. 

Currently, In theory, qemu-kvm should support Max 180 ahci disks. 
 30* 6(Max free ahci controller number * per ahci controller support Max disk number) 
 

Version-Release number of selected component (if applicable):
# uname -r
3.10.0-15.el7.x86_64
qemu-kvm-1.5.3-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.I attached qemu-kvm command line to attachement.
2.
3.

Actual results:
# sh ahci-multi-disks-cli.sh 
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) KVM internal error. Suberror: 1
emulation failure
EAX=0000ffff EBX=00006a00 ECX=0000f9d7 EDX=0000c5d1
ESI=dff27a47 EDI=00000020 EBP=00000006 ESP=000069c6
EIP=000a0000 EFL=00000017 [----APC] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =0000 00000000 ffffffff 00809300
CS =0000 00000000 ffffffff 00809b00
SS =0000 00000000 ffffffff 00809300
DS =0000 00000000 ffffffff 00809300
FS =0000 00000000 ffffffff 00809300
GS =0000 00000000 ffffffff 00809300
LDT=0000 00000000 0000ffff 00008200
TR =0000 00000000 0000ffff 00008b00
GDT=     000fd808 00000037
IDT=     00000000 000003ff
CR0=00000010 CR2=00000000 CR3=00000000 CR4=00000000
DR0=0000000000000000 DR1=0000000000000000 DR2=0000000000000000 DR3=0000000000000000 
DR6=00000000ffff0ff0 DR7=0000000000000400
EFER=0000000000000000
Code=00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 <ff> ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff

I attached guest screenshot to attachement

Expected results:
all disks are loaded successfully

Additional info:
Comment 1 FuXiangChun 2013-09-09 06:34:17 EDT
Created attachment 795573 [details]
ahci-cli
Comment 2 FuXiangChun 2013-09-09 06:34:58 EDT
Created attachment 795574 [details]
guest screenshot
Comment 4 Gerd Hoffmann 2013-09-09 08:19:36 EDT
Probably seabios runs out of memory, then triggers some bug in some error path and goes crazy ...
Comment 6 Gerd Hoffmann 2013-09-17 05:43:09 EDT
patch posted.
Comment 7 Miroslav Rezanina 2013-09-24 05:17:36 EDT
Fix included in seabios-1.7.2.2-3.el7
Comment 9 Xu Han 2013-11-06 21:30:20 EST
Reproduce this bug with components:
seabios-1.7.2.2-2.el7

Steps:
1. boot guest with 132 ahci disks.

Results:
after step1, get same result as Description.


Verify this bug with component:
seabios-1.7.2.2-4.el7

Same steps as above.

Results:
after step1, seabios could load into boot menu, but fail to boot from specified device.

Base on these test results above, this bug has been fixed, however, still hit bug 947364.
Comment 10 Xu Han 2013-11-06 21:32:10 EST
Created attachment 820842 [details]
screen shot of verification
Comment 11 Xu Han 2013-11-06 21:34:36 EST
Created attachment 820846 [details]
boot menu screen shot
Comment 12 Xu Han 2013-11-06 21:41:39 EST
Created attachment 820848 [details]
command line
Comment 13 Xu Han 2013-11-21 05:08:55 EST
According to the issue in comment 9, filed bug 1032955.
Comment 15 Ludek Smid 2014-06-13 07:34:25 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.